NamedSetterChildElementIterator (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.processors.NamedSetterChildElementIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.processors
Class NamedSetterChildElementIterator

    java.lang.Object
      org.mule.config.spring.parsers.processors.AbstractChildElementIterator
          org.mule.config.spring.parsers.processors.NamedSetterChildElementIterator

All Implemented Interfaces:
  PostProcessor

    public class NamedSetterChildElementIterator

extends AbstractChildElementIterator

This iterates over the child elements, generates beans, and sets them on the current bean via the setter given. So presumably there's either a single child or the destination is a collection.

Since this handles the iteration over children explicitly you need to set the flag `MuleHierarchicalBeanDefinitionParserDelegate.MULE_NO_RECURSE` on the parser.

See Also:
  `- please read the documentation for that processor`

Constructor Summary
`NamedSetterChildElementIterator(String setter, BeanAssemblerFactory beanAssemblerFactory, PropertyConfiguration configuration)`

Method Summary
`protected void` | `insertBean(BeanAssembler targetAssembler, org.springframework.beans.factory.config.BeanDefinition childBean, Element parent, Element child)`

Methods inherited from class org.mule.config.spring.parsers.processors.AbstractChildElementIterator
`postProcess, processChildElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedSetterChildElementIterator

    public NamedSetterChildElementIterator(String setter,
                                           BeanAssemblerFactory beanAssemblerFactory,
                                           PropertyConfiguration configuration)

Method Detail

### insertBean

    protected void insertBean(BeanAssembler targetAssembler,
                              org.springframework.beans.factory.config.BeanDefinition childBean,
                              Element parent,
                              Element child)

  Specified by:
    `insertBean` in class `AbstractChildElementIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.